com.corticon.service.ccserver.exception

## Class CcServerTimeoutException

- java.lang.Object
- - CcException
  - - com.corticon.service.ccserver.exception.CcServerException
    - - com.corticon.service.ccserver.exception.CcServerTimeoutException

- All Implemented Interfaces:
    java.io.Serializable

      public class CcServerTimeoutException
      extends CcServerException
      implements java.io.Serializable

  `CcServerTimeoutException` is thrown if a Decision Service request waits in queue for X milliseconds without getting processed, where X is the value in `CcConfig.jar|CcServer.properties|com.corticon.ccserver.timeout`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CcServerTimeoutException()`
    `CcServerTimeoutException(java.lang.Exception aparentException, java.lang.Object aobject)`
    `CcServerTimeoutException(java.lang.Exception aparentException, java.lang.String astrMessage)`
    `CcServerTimeoutException(java.lang.Exception aparentException, java.lang.String astrMessage, java.lang.Object aobject)`
    `CcServerTimeoutException(java.lang.String astrMessage)`
    `CcServerTimeoutException(java.lang.String astrMessage, java.lang.Object aobject)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CcServerTimeoutException

          public CcServerTimeoutException()

    - #### CcServerTimeoutException

          public CcServerTimeoutException(java.lang.String astrMessage)

    - #### CcServerTimeoutException

          public CcServerTimeoutException(java.lang.String astrMessage,
                                          java.lang.Object aobject)

    - #### CcServerTimeoutException

          public CcServerTimeoutException(java.lang.Exception aparentException,
                                          java.lang.String astrMessage)

    - #### CcServerTimeoutException

          public CcServerTimeoutException(java.lang.Exception aparentException,
                                          java.lang.Object aobject)

    - #### CcServerTimeoutException

          public CcServerTimeoutException(java.lang.Exception aparentException,
                                          java.lang.String astrMessage,
                                          java.lang.Object aobject)

Copyright © 2005-2022 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.